<?php
/**************************************************
  Coppermine 1.5.x Plugin - flf_flashcloud
  *************************************************
  Copyright (c) 2010 Florian Lechner - www.lounge-lizard.org/cms
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
*/

require_once('plugins/flf_flashcloud/include/flashcloud_include.php');

function flf_flashcloud_initialize() {
    global $CONFIG, $lang_plugin_flashcloud;
    $superCage = Inspekt::makeSuperCage();
    if (GALLERY_ADMIN_MODE) {
        global $JS;
        $JS['includes'][] = 'plugins/flf_flashcloud/js/farbtastic.js';
        $JS['includes'][] = 'js/jquery.spinbutton.js';
    }

    require_once "plugins/flf_flashcloud/lang/english.php";
    if ($CONFIG['lang'] != 'english' && file_exists("plugins/flf_flashcloud/lang/{$CONFIG['lang']}.php")) {
        require_once "plugins/flf_flashcloud/lang/{$CONFIG['lang']}.php";
    }

    $return['language'] = $lang_plugin_flashcloud;
 	
    return $return;
}
?>